function [x,w]=lagzo(n);
% This file is part of the CTRW toolbox v3.0
% For the usage of this file see Legal_notice.m
%This program is a direct conversion of the corresponding Fortran program in
%S. Zhang & J. Jin "Computation of Special Functions" (Wiley, 1996).
%online: http://iris-lee3.ece.uiuc.edu/~jjin/routines/routines.html
%
%Converted by f2matlab open source project:
%online: https://sourceforge.net/projects/f2matlab/
% written by Ben Barrowes (barrowes@alum.mit.edu)
% Modified by: Simon Emmanuel
% $Modified version : 06-Nov-2006$
% e-mail   : brian.berkowitz@weizmann.ac.il
%           (see http://weizmann.ac.il/ESER/people/Brian/CTRW)


hn=1.0d0./n;
for  nr=1:n;
if (nr == 1) z=hn; end;
if (nr > 1) z=x(nr-1)+hn.*nr.^1.27; end;
it=0;
while (1);
it=it+1;
z0=z;
p=1.0d0;
for  i=1:nr-1;
p=p.*(z-x(i));
end;
f0=1.0d0;
f1=1.0d0-z;
for  k=2:n;
pf=((2.0d0.*k-1.0d0-z).*f1-(k-1.0d0).*f0)./k;
pd=k./z.*(pf-f1);
f0=f1;
f1=pf;
end;
fd=pf./p;
q=0.0d0;
for  i=1:nr-1;
wp=1.0d0;
for  j=1:nr-1;
if (~(j == i)) wp=wp.*(z-x(j)); end;
end;
q=q+wp;
end;
gd=(pd-q.*fd)./p;
z=z-fd./gd;
if (~(it <= 40&abs((z-z0)./z) > 1.0d-15)) break; end;
end;
x(nr)=z;
w(nr)=1.0d0./(z.*pd.*pd);
end;
return;
